LSLOCKS(8)

NAMN
lslocks - lista lokala systemlås

SYNOPSIS

lslocks [flaggor]

BESKRIVNING

lslocks visar information om alla aktuella fillås i ett Linux-system.

FLAGGOR

-b, --bytes
    Print sizes in bytes rather than in human-readable form.

    By default, sizes are shown in units that are powers of 1024 bytes. The formal abbreviations for these units (KiB, MiB, GiB, ...) are further shortened to just their first letter: K, M, G, ....

-H, --list-columns
    List the columns that can be specified with the --output option. Can be used with --json or --raw to get the list in a machine-readable format.

-i, --noinaccessible
    Ignorera låsta filer som är oåtkomliga för den aktuella användaren.

-J, --json
    Använd JSON-utdataformat.

-n, --noheadings
    Skriv inte ut någon rubrikrad.

-o, --output lista
    Ange vilka utdatakolumner som ska skrivas ut. Använd --help för att få en lista över alla kolumner som stöds.

    Standardlistan med kolumner kan utökas om lista anges i formatet +list (t.ex. lslocks -o +BLOCKER).

--output-all
    Skriv ut alla tillgängliga kolumner.

-p, --pid pid
    Visa endast de lås som innehas av processen med denna pid.

-Q, --filter expr
    Print only the locks that meet the conditions specified by the expr.

    This feature is EXPERIMENTAL. See also scols-filter(5). For example exclude POSIX type locks, but print all READ mode ones locks on files with .qcow2 as extension:

        lslocks --filter 'TYPE != "POSIX" and MODE == "READ" and PATH =~ ".*\.qcow2"'

-r, --raw
    Använd det råa utmatningsformatet.

-u, --notruncate
    Avkorta inte text i kolumner.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

MILJÖ

LIBSMARTCOLS_DEBUG=all
    aktiverar libsmartcols felsökningsutdata.

LIBSMARTCOLS_DEBUG_PADDING=on
    använda synliga utfyllnadstecken.

UTFLÖDE

KOMMANDO
    Kommandonamnet för den process som håller i låset.

PID
    Processens ID för processen.

TYP
    Typ av lås; kan vara LEASE (skapas med fcntl(2)), FLOCK (skapas med flock(2)), POSIX (skapas med fcntl(2) och lockf(3)) eller OFDLCK (skapas med fcntl(2)).

STRL
    Storlek på den låsta filen.

INODE
    Inodnumret.

MAJ:MIN
    Enhetsnumret för major:minor.

LÄGE
    Låsets åtkomstbehörighet (läsa, skriva). Om processen är blockerad och väntar på låset, är läget postfixerat med en '*' (asterisk).

M
    Om låset är obligatoriskt; 0 betyder nej (vilket innebär att låset endast är rådgivande), 1 betyder ja (se fcntl(2))

START
    Relativ byte-offset för låset.

SLUT
    Slutförskjutning av låset.

PATH
    Fullständig sökväg till låset. Om ingen hittas, eller om det inte finns några behörigheter att läsa sökvägen, kommer den att falla tillbaka till enhetens monteringspunkt och "..." läggs till sökvägen. Sökvägen kan vara avkortad; använd --notruncate för att få den fullständiga sökvägen.

BLOCKERARE
    PID för den process som blockerar låset.

INNEHAVARE
    Låsets innehavare. Formatet för innehavaren är PID,KOMMANDO,FD. Om ett lås är ett beskrivningsorienterat lås för öppen fil kan det finnas mer än en innehavare för låset. Se NOTER nedan.

MILJÖ

LSLOCKS_COLUMNS=
    Specifies a comma-separated list of output columns to print. All columns listed by --list-columns can be used.

ANTECKNINGAR

Kommandot lslocks är avsett att ersätta kommandot lslk(8), som ursprungligen skrevs av och inte underhållits sedan 2001.

"Processen som håller låset" för hyresavtal, FLOCK-lås och OFD-lås är ett falskt begrepp. De är associerade med den öppna filbeskrivning som de förvärvats på. Med fork(2) och/eller cmsg(3) kan flera processer dela en öppen filbeskrivning. Så innehavarprocessen för ett lease (eller ett lock) är inte unikt bestämd. lslocks visar den ena av innehavarprocesserna i kolumnerna COMMAND och PID.

The default output is subject to change. So whenever possible, you should avoid using default output in your scripts.

For OFD locks, the PID column may show -1. Such lines cannot be selected by the filter, because the current filter engine does not support negative numbers.

UPPHOVSPERSONER

SE ÄVEN

flock(1), fcntl(2), lockf(3), scols-filter(5)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot lslocks ingår i paketet util-linux som kan hämtas från